# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = .

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
CC = @CC@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
RESOLV = @RESOLV@
VERSION = @VERSION@
WARNFLAGS = @WARNFLAGS@

AUTOMAKE_OPTIONS= foreign
sbin_PROGRAMS	= ypbind
ypbind_SOURCES	= ypbind.c slave.c xdr_ypbind.c daemon.c openmax.c \
		  lockreg.c locktest.c errorlog.c readn.c writen.c \
		  daemon.h ourhdr.h ypbind.h
man_MANS	= ypbind.8

CFLAGS		= @CFLAGS@ @WARNFLAGS@
LDADD		= @RESOLV@
EXTRA_DIST	= yp.conf.example
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =  patchlevel.h ypbind.man
PROGRAMS =  $(sbin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I.
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
ypbind_OBJECTS =  ypbind.o slave.o xdr_ypbind.o daemon.o openmax.o \
lockreg.o locktest.o errorlog.o readn.o writen.o
ypbind_LDADD = $(LDADD)
ypbind_DEPENDENCIES = 
ypbind_LDFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
MANS = ypbind.8

NROFF = nroff
DIST_COMMON =  README COPYING INSTALL Makefile.am Makefile.in TODO \
acconfig.h acinclude.m4 aclocal.m4 config.guess config.h.in config.sub \
configure configure.in install-sh missing mkinstalldirs patchlevel.h.in \
stamp-h.in ypbind.man.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(ypbind_SOURCES)
OBJECTS = $(ypbind_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in  acinclude.m4
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

config.h: stamp-h
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h
$(srcdir)/config.h.in: $(srcdir)/stamp-h.in
$(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) acconfig.h
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h.in

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	rm -f config.h

maintainer-clean-hdr:
patchlevel.h: $(top_builddir)/config.status patchlevel.h.in
	cd $(top_builddir) && CONFIG_FILES=$@ CONFIG_HEADERS= ./config.status
ypbind.man: $(top_builddir)/config.status ypbind.man.in
	cd $(top_builddir) && CONFIG_FILES=$@ CONFIG_HEADERS= ./config.status

mostlyclean-sbinPROGRAMS:

clean-sbinPROGRAMS:
	test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)

distclean-sbinPROGRAMS:

maintainer-clean-sbinPROGRAMS:

install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(sbindir)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(sbindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(sbindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	$(NORMAL_UNINSTALL)
	list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(sbindir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

ypbind: $(ypbind_OBJECTS) $(ypbind_DEPENDENCIES)
	@rm -f ypbind
	$(LINK) $(ypbind_LDFLAGS) $(ypbind_OBJECTS) $(ypbind_LDADD) $(LIBS)
install-man: $(MANS)
	$(NORMAL_INSTALL)
	$(mkinstalldirs) $(mandir)/man8
	@sect=8;				\
	inst=`echo "ypbind" | sed '$(transform)'`.8; \
	if test -f $(srcdir)/ypbind.8; then file=$(srcdir)/ypbind.8; \
	else file=ypbind.8; fi; \
	echo " $(INSTALL_DATA) $$file $(mandir)/man$$sect/$$inst"; \
	$(INSTALL_DATA) $$file $(mandir)/man$$sect/$$inst

uninstall-man:
	$(NORMAL_UNINSTALL)
	inst=`echo "ypbind" | sed '$(transform)'`.8; \
	rm -f $(mandir)/man8/$$inst


tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	test -z "$(ETAGS_ARGS)config.h.in$(SOURCES)$(HEADERS)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags config.h.in $(SOURCES) $(HEADERS) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	rm -rf $(distdir)
	GZIP=$(GZIP) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) \
	  && $(MAKE) dvi \
	  && $(MAKE) check \
	  && $(MAKE) install \
	  && $(MAKE) installcheck \
	  && $(MAKE) dist
	rm -rf $(distdir)
	@echo "========================"; \
	echo "$(distdir).tar.gz is ready for distribution"; \
	echo "========================"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)
distdir: $(DISTFILES)
	rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
	$(MAKE) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
daemon.o daemon.lo: daemon.c config.h ourhdr.h
errorlog.o errorlog.lo: errorlog.c config.h ourhdr.h
lockreg.o lockreg.lo: lockreg.c ourhdr.h
locktest.o locktest.lo: locktest.c ourhdr.h
openmax.o openmax.lo: openmax.c ourhdr.h
readn.o readn.lo: readn.c ourhdr.h
slave.o slave.lo: slave.c config.h rpcsvc/yp_prot.h ourhdr.h ypbind.h
writen.o writen.lo: writen.c ourhdr.h
xdr_ypbind.o xdr_ypbind.lo: xdr_ypbind.c rpcsvc/yp_prot.h
ypbind.o ypbind.lo: ypbind.c config.h rpcsvc/yp_prot.h ourhdr.h ypbind.h \
	patchlevel.h

info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: install-sbinPROGRAMS
	@$(NORMAL_INSTALL)

install-data: install-man
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-sbinPROGRAMS uninstall-man

all: Makefile $(PROGRAMS) $(MANS) config.h

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(sbindir) $(mandir)/man8


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-hdr mostlyclean-sbinPROGRAMS \
		mostlyclean-compile mostlyclean-tags \
		mostlyclean-generic

clean:  clean-hdr clean-sbinPROGRAMS clean-compile clean-tags \
		clean-generic mostlyclean

distclean:  distclean-hdr distclean-sbinPROGRAMS distclean-compile \
		distclean-tags distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-hdr maintainer-clean-sbinPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f config.status

.PHONY: default mostlyclean-hdr distclean-hdr clean-hdr \
maintainer-clean-hdr mostlyclean-sbinPROGRAMS distclean-sbinPROGRAMS \
clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS uninstall-sbinPROGRAMS \
install-sbinPROGRAMS mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile install-man uninstall-man tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info dvi installcheck install-exec install-data install \
uninstall all installdirs mostlyclean-generic distclean-generic \
clean-generic maintainer-clean-generic clean mostlyclean distclean \
maintainer-clean


ypbind.8: ypbind.man
	-$(RM) -f $@
	cd $(top_builddir) && sed -e "s+@SBINDIR@+${sbindir}+g" $< > $@ || $(RM) $@

dist-hook:
	-mkdir $(distdir)/rpcsvc
	-cp -p rpcsvc/yp_prot.h $(distdir)/rpcsvc

.DELETE_ON_ERROR:

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
